// OrderDistiller.java

import swarm.Globals;
import swarm.defobj.Zone;
import swarm.objectbase.SwarmObjectImpl;

import swarm.collections.ListImpl;


/**
 * The OrderDistiller will be used to deal with lists of recipes and 
 * of order sequences<br>
 * 
 * at present it is only a clone of the OrderGenerator
 *
 * @author Pietro Terna */
public class OrderDistiller  extends OrderGenerator{

    /**
     * the constructor for OrderDistiller
     */
    public OrderDistiller (Zone aZone, int msn, int msl, ListImpl ul, 
			   ListImpl eul, ListImpl ol,  int tln,
			   VEFrameModelSwarm mo, AssigningTool at) 
    {

	// Call the constructor for the OrderDistiller parent class.
	super(aZone, msn, msl, ul, eul, ol, tln, mo, at);

    }

    /** the method to produce orders once a day, in the first (or unique) 
     *  step of the day<br>
     *  here it is only a rename of the method of the orderGenerator 
     *  createRandomOrderWithNSteps()
     */
    public void distill(){
	createRandomOrderWithNSteps();
    }

}
